{
  "lexicon": 1,
  "id": "space.polymodel.library.getModel",
  "defs": {
    "main": {
      "type": "query",
      "description": "Hydrate one model with its ordered parts and parent thing.",
      "parameters": {
        "type": "params",
        "required": [
          "uri"
        ],
        "properties": {
          "uri": {
            "type": "string",
            "format": "at-uri"
          }
        }
      },
      "output": {
        "encoding": "application/json",
        "schema": {
          "type": "object",
          "required": [
            "model"
          ],
          "properties": {
            "model": {
              "type": "ref",
              "ref": "space.polymodel.library.defs#modelView"
            },
            "parts": {
              "type": "array",
              "items": {
                "type": "ref",
                "ref": "space.polymodel.library.defs#partView"
              }
            },
            "thing": {
              "type": "ref",
              "ref": "space.polymodel.library.defs#thingViewBasic"
            }
          }
        }
      }
    }
  }
}